import { Component, ComponentClass, ComponentType, ProviderProps, ReactElement, ReactNodeArray, ReactPortal, SFCElement, StatelessComponent } from 'react';
import { LocalizeState, TranslateProps, Translations } from './types';
export declare const createLocalize: (language: string, languages: string[]) => {
    LocalizeProvider: new (props: import("dakpan/lib/types").DakpanProviderProps) => {
        componentWillUnmount(): void;
        render(): ReactElement<ProviderProps<LocalizeState>>;
        getState: () => Readonly<LocalizeState>;
        setState<K extends "language" | "languages" | "translations">(state: LocalizeState | Pick<LocalizeState, K> | ((prevState: Readonly<LocalizeState>, props: Readonly<import("dakpan/lib/types").DakpanProviderProps>) => LocalizeState | Pick<LocalizeState, K> | null) | null, callback?: (() => void) | undefined): void;
        forceUpdate(callBack?: (() => void) | undefined): void;
        readonly props: Readonly<{
            children?: string | number | boolean | {} | ReactElement<any> | ReactNodeArray | ReactPortal | null | undefined;
        }> & Readonly<import("dakpan/lib/types").DakpanProviderProps>;
        state: Readonly<LocalizeState>;
        context: any;
        refs: {
            [key: string]: Element | Component<any, {}, any>;
        };
    };
    withLocalize: <H>(map: (state: LocalizeState, actions: import("dakpan/lib/types").MappedActions<LocalizeState, {
        setLanguage: (language: string) => () => {
            language: string;
        };
    }>) => H) => <P>(component: ComponentClass<P & H> | StatelessComponent<P & H>) => (props: Pick<P, Exclude<keyof P, keyof H>>) => ReactElement<import("dakpan/lib/types").DakpanConsumerProps<LocalizeState, {
        setLanguage: (language: string) => () => {
            language: string;
        };
    }>>;
    withTranslations: (withTranslations: Translations) => <P>(component: ComponentType<P>) => (props: P) => SFCElement<{
        children: ({ language, languages, translations }: LocalizeState) => ReactElement<ProviderProps<LocalizeState>>;
    }>;
    Translate: ({ id, data }: TranslateProps) => SFCElement<{
        children: ({ language, languages, translations }: LocalizeState) => string;
    }>;
};
