"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenTranslation = (translation) => {
    let output = {};
    const step = (t, previous = '') => {
        Object.keys(t).forEach((key) => {
            const value = t[key];
            const path = previous ? `${previous}.${key}` : key;
            if (!(value instanceof Array)) {
                return step(value, path);
            }
            output = Object.assign({}, output, { [path]: value });
        });
    };
    step(translation);
    return output;
};
//# sourceMappingURL=flattenTranslation.js.map